package intrinsic.mx.events;

public class ChildExistenceChangedEvent extends intrinsic.flash.events.Event {

	/** Accessors */

	/** Variables */
	public intrinsic.flash.display.DisplayObject relatedObject;

	/** Constants */
	public static final String CHILD_REMOVE = "child_remove";
	public static final String OVERLAY_CREATED = "overlay_created";
	public static final String VERSION = "version";
	public static final String CHILD_ADD = "child_add";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ChildExistenceChangedEvent() {
}

public ChildExistenceChangedEvent(String arg0) {
}

public ChildExistenceChangedEvent(String arg0, boolean arg1) {
}

public ChildExistenceChangedEvent(String arg0, boolean arg1, boolean arg2) {
}

public ChildExistenceChangedEvent(String arg0, boolean arg1, boolean arg2, intrinsic.flash.display.DisplayObject arg3) {
}


/** Static Methods */

/** Methods */
public native Object clone();

}
